- name: Play to Query Single Interface Configuration
  hosts: "{{ awx_webhook_payload.data.name }}"
  connection: local
  gather_facts: no
  vars: 
    apic_login: &apic_login
      host: "{{ apic_host }}"
      username: "{{ user_var }}"
      password: "{{ user_pass }}"
      validate_certs: no
      use_proxy: False   
      use_ssl: True  
      state: query
    delay_var: 0.1  

  tasks:

    - name: Query non-redundant interface
      block:

        - name: Query interface selectors
          aci_access_port_to_interface_policy_leaf_profile:
            <<: *apic_login
            leaf_interface_profile: "{{ int.dc }}-{{ int.env }}-L{{ int.leaf_id }}-intprof"
            access_port_selector: "L{{ int.leaf_id }}.1.{{ int.interface_id }}-intsel"
          loop: "{{ awx_webhook_payload.data.local_context_data.interface_nonred_query }}"
          loop_control:
            loop_var: int
            label: "Checking: L{{ int.leaf_id }}.1.{{ int.interface_id }}-intsel to INTERFACE PROFILE NAME: {{ int.dc }}-{{ int.env }}-L{{ int.leaf_id }}-intprof with POLICY GROUP NAME: {{ int.policy_group_name }}"
            pause: "{{ delay_var }}"
          register: IfSelector

        - name: Checking if Interface Selector has been configured already.
          debug:
            msg: "{{ 'WARNING !!! Interface Selector ' + int_sel.invocation.module_args.access_port_selector + ' IS DEFINED on APIC !!!' if (int_sel.current | length > 0) and (int_sel.current[0].infraHPortS.attributes.name is defined)
                 else 'Interface Selector ' + int_sel.invocation.module_args.access_port_selector + ' is NOT defined.' }}"
          loop: "{{ IfSelector.results }}"
          loop_control:
            loop_var: int_sel
            label: "{{ 'Checking if Interface Selector ' + int_sel.invocation.module_args.access_port_selector + ' exists...' }}"
      when:
            - awx_webhook_payload.data.local_context_data.interface_nonred_query is defined
            - awx_webhook_payload.data.local_context_data.interface_nonred_query | type_debug == 'list'
            - awx_webhook_payload.data.local_context_data.interface_nonred_query | length > 0
      
